Last Comment Bug 774671 - Fix mismatched declarations
: Fix mismatched declarations
Status: RESOLVED FIXED
[asan-build-blocker:aurora]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla17
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
:
Mentors:
Depends on:
Blocks: clang
  Show dependency treegraph
 
Reported: 2012-07-17 08:21 PDT by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2012-08-11 09:39 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
add JS_FRIEND_API (752 bytes, patch)
2012-07-17 08:21 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
luke: review+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2012-07-17 08:21:35 PDT
Created attachment 642964 [details] [diff] [review]
add JS_FRIEND_API

These classes are defined with JS_FRIEND_API, but these forward declarations were missing it which causes problems when combined with us putting a

#pragma GCC visibility push(hidden)

at the start of every compilation unit.
Comment 1 Ed Morley [:emorley] 2012-07-18 05:56:21 PDT
https://hg.mozilla.org/mozilla-central/rev/a430390ef8cd
Comment 2 Trevor Saunders (:tbsaunde) 2012-07-20 17:59:02 PDT
pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/dc3835f235cb

Note You need to log in before you can comment on or make changes to this bug.